PETSc version 3.15.5
Fix/Edit manual page

# DMNetworkGetSubnetwork

Returns the information about a requested subnetwork

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSubnetwork(DM dm,PetscInt netnum,PetscInt *nv,PetscInt *ne,const PetscInt **vtx,const PetscInt **edge)

Not collective

### Input Parameters

| dm | - the DM object
| netnum | - the global index of the subnetwork

### Output Parameters

| nv | - number of vertices (local)
| ne | - number of edges (local)
| vtx | - local vertices of the subnetwork
| edge | - local edges of the subnetwork

### Notes

Cannot call this routine before DMNetworkLayoutSetup()

### See Also

DMNetworkCreate(), DMNetworkAddSubnetwork(), DMNetworkLayoutSetUp()

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages